% Driver script for solving the 1D Maxwell's equations
Globals1D;

% Polynomial order used for approximation 
N = 10;

% Generate simple mesh
[Nv, VX, K, EToV] = MeshGen1D(-5.0,5.0,20);

% Initialize solver and construct grid and metric
StartUp1D;

% Set up material parameters
Mach = 0.5*ones(Np,K);

% Set initial conditions
p = exp(-x.^2/0.1); u = zeros(Np,K);

% Solve Problem
FinalTime = 100;
[u,p] = AcousAdvec1D(u,p,Mach,FinalTime);
