function [rhsu] = AdvecRHS1DEx3(u,time, a)

% function [rhsu] = AdvecRHS1D(u,time)
% Purpose  : Evaluate RHS flux in 1D advection

Globals1D;

% form field differences at faces
alpha=0;
am = zeros(Nfp*Nfaces,K); am(:) = a(vmapM);

du = zeros(Nfp*Nfaces,K); 
du(:) = (u(vmapM)-u(vmapP)).*(am(:).*nx(:)-(1-alpha)*abs(am(:).*nx(:)))/2;

% impose boundary condition at x=0
uin = sin(pi*(-1.0-time));
du (mapI) = (u(vmapI)- uin ).*(am(mapI)*nx(mapI)-(1-alpha)*abs(am(mapI)*nx(mapI)))/2;
du (mapO) = 0;

% compute right hand sides of the semi-discrete PDE
al = pi*(x-time);
force = -pi*cos(al) + a.*pi.*cos(al);
rhsu = -a.*(rx.*(Dr*u)) + LIFT*(Fscale.*(du)) + force;
return
